<?php

	// Funktion listet vom Betriebssystem die Drucker auf und gibt die Namen dann im Array zurück
	// C:\>wmic printer list status
	// Name                                             Status
	// Send To OneNote 2016                             Unknown
	// EPSON SC-T5200 Series                            Degraded
	// SII RP-D10                                       Unknown
	// PDFCreator                                       Unknown
	// Microsoft XPS Document Writer                    Unknown
	// Microsoft Print to PDF                           Unknown
	// Fax                                              Unknown
	// \\sdc01.serviceit.at\RICOH_MPC305_PS_verteilt    Unknown
	// \\sdc01.serviceit.at\EpsonBackOfficeA3_verteilt  Unknown
	function list_printers()
	{
		$printers=array();
		$output="";
		$error_code="";
		exec('wmic printer list status ', $output, $error_code);
		$position=strpos($output[0], "Status");
		for($i=1;$i<count($output);$i++)
		{
			$drucker=substr($output[$i],0,$position);
			$drucker=trim($drucker);
			if (!empty($drucker)) array_push($printers, $drucker);
		}
		return($printers);
	}

	// Druckt die Datei $pdf_datei auf den Drucker $drucker aus.
	// Verwendet das Programm PDF-XchangeViewer zum Ausdrucken der Datei
	function print_pdf($pdf_datei, $drucker)
	{
		$output="";
		$error_code="";
	#	$command="C:\sitpos\pdfxchange\PDF-XChangeViewerPortable.exe /print:printer=\"$drucker\" $pdf_datei";		C:\sitpos\pdfxchange
		$command="C:\sitpos\pdfxchange\PDFXCview.exe /print:printer=\"$drucker\" $pdf_datei";
		exec($command, $output, $error_code);
		print_r($output);
	}

	// Main
	#$drucker=list_printers();
	#print_r($drucker);
	#print_pdf("e:\tmps\zulu.pdf", "CutePDF Writer");
	
	#print_pdf("c:\sitpos\zuz.pdf ", "CutePDF Writer");
	
?>